CommandMessenger.SerialSettings Class Reference

Class containing properties related to a serial port More...

Inheritance diagram for CommandMessenger.SerialSettings:

## Public Member Functions

void | UpdateBaudRateCollection (int possibleBaudRates)
| Updates the range of possible baud rates for device More...

## Properties

string | PortName `[get, set]`
| The port to use (for example, COM1). More...
int | BaudRate `[get, set]`
| The baud rate. More...
Parity | Parity `[get, set]`
| One of the Parity values. More...
int | DataBits `[get, set]`
| The data bits value. More...
StopBits | StopBits `[get, set]`
| One of the StopBits values. More...
string[] | PortNameCollection `[get, set]`
| Available ports on the computer More...
BindingList< int > | BaudRateCollection `[get]`
| Available baud rates for current serial port More...
int[] | DataBitsCollection `[get, set]`
| Available databits setting More...

## Events

PropertyChangedEventHandler | PropertyChanged

## Detailed Description

Class containing properties related to a serial port

## Member Function Documentation

void CommandMessenger.SerialSettings.UpdateBaudRateCollection | ( | int | possibleBaudRates | ) |

inline

Updates the range of possible baud rates for device

Parameters

  possibleBaudRates | dwSettableBaud parameter from the COMMPROP Structure

Returns
  An updated list of values

{
// ReSharper disable InconsistentNaming
const int BAUD_075 = 0x00000001; // The fifth baud 07
const int BAUD_110 = 0x00000002;
const int BAUD_150 = 0x00000008;
const int BAUD_300 = 0x00000010;
const int BAUD_600 = 0x00000020;
const int BAUD_1200 = 0x00000040;
const int BAUD_1800 = 0x00000080;
const int BAUD_2400 = 0x00000100;
const int BAUD_4800 = 0x00000200;
const int BAUD_7200 = 0x00000400;
const int BAUD_9600 = 0x00000800;
const int BAUD_14400 = 0x00001000;
const int BAUD_19200 = 0x00002000;
const int BAUD_38400 = 0x00004000;
const int BAUD_56K = 0x00008000;
const int BAUD_57600 = 0x00040000;
const int BAUD_115200 = 0x00020000;
const int BAUD_128K = 0x00010000;
// ReSharper restore InconsistentNaming
_baudRateCollection.Clear();
if ((possibleBaudRates & BAUD_075) > 0)
_baudRateCollection.Add(75);
if ((possibleBaudRates & BAUD_110) > 0)
_baudRateCollection.Add(110);
if ((possibleBaudRates & BAUD_150) > 0)
_baudRateCollection.Add(150);
if ((possibleBaudRates & BAUD_300) > 0)
_baudRateCollection.Add(300);
if ((possibleBaudRates & BAUD_600) > 0)
_baudRateCollection.Add(600);
if ((possibleBaudRates & BAUD_1200) > 0)
_baudRateCollection.Add(1200);
if ((possibleBaudRates & BAUD_1800) > 0)
_baudRateCollection.Add(1800);
if ((possibleBaudRates & BAUD_2400) > 0)
_baudRateCollection.Add(2400);
if ((possibleBaudRates & BAUD_4800) > 0)
_baudRateCollection.Add(4800);
if ((possibleBaudRates & BAUD_7200) > 0)
_baudRateCollection.Add(7200);
if ((possibleBaudRates & BAUD_9600) > 0)
_baudRateCollection.Add(9600);
if ((possibleBaudRates & BAUD_14400) > 0)
_baudRateCollection.Add(14400);
if ((possibleBaudRates & BAUD_19200) > 0)
_baudRateCollection.Add(19200);
if ((possibleBaudRates & BAUD_38400) > 0)
_baudRateCollection.Add(38400);
if ((possibleBaudRates & BAUD_56K) > 0)
_baudRateCollection.Add(56000);
if ((possibleBaudRates & BAUD_57600) > 0)
_baudRateCollection.Add(57600);
if ((possibleBaudRates & BAUD_115200) > 0)
_baudRateCollection.Add(115200);
if ((possibleBaudRates & BAUD_128K) > 0)
_baudRateCollection.Add(128000);
SendPropertyChangedEvent("BaudRateCollection");
}

## Property Documentation

int CommandMessenger.SerialSettings.BaudRate

getset

The baud rate.

Referenced by CommandMessenger.SerialPortManager.StartListening().

BindingList<int> CommandMessenger.SerialSettings.BaudRateCollection

get

Available baud rates for current serial port

int CommandMessenger.SerialSettings.DataBits

getset

The data bits value.

Referenced by CommandMessenger.SerialPortManager.StartListening().

int [] CommandMessenger.SerialSettings.DataBitsCollection

getset

Available databits setting

Parity CommandMessenger.SerialSettings.Parity

getset

One of the Parity values.

Referenced by CommandMessenger.SerialPortManager.StartListening().

string CommandMessenger.SerialSettings.PortName

getset

The port to use (for example, COM1).

Referenced by CommandMessenger.SerialPortManager.StartListening(), and CommandMessenger.SerialPortManager.UpdateBaudRateCollection().

string [] CommandMessenger.SerialSettings.PortNameCollection

getset

Available ports on the computer

Referenced by CommandMessenger.SerialPortManager.Initialize().

StopBits CommandMessenger.SerialSettings.StopBits

getset

One of the StopBits values.

Referenced by CommandMessenger.SerialPortManager.StartListening().

The documentation for this class was generated from the following file:

- D:/My Documents/Github/Arduino-Code-and-Libraries/Libraries/CmdMessenger/CSharp/CommandMessenger/SerialSettings.cs